<?php
namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class ManageDashboardService {

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

	public function getVendasMensais($CDFILIAL,$NRORG){
		$params = array(
			':CDFILIAL' => $CDFILIAL,
			':NRORG' => $NRORG		
		);
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_VENDAS_MENSAIS, $params);
	}
	
	public function getObjetivoVendaDiaAlt($CDFILIAL,$NRORG,$CDOBJANO,$NRDIASEMANA,$DTALT,$CDOBJMES){
		$params = array(
			':CDFILIAL'		=>	$CDFILIAL,
			':NRORG'		=>	$NRORG,
			':CDOBJANO'		=>	$CDOBJANO,
			':NRDIASEMANA'	=>	$NRDIASEMANA,
			':DTALT'		=>	$DTALT,
			':CDOBJMES'		=>	$CDOBJMES
		);
		
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_OBJETIVO_VENDA_DIA_ALT, $params);
	}
	
	public function getObjetivoVendaDia($CDFILIAL,$NRORG,$CDOBJANO,$NRDIASEMANA,$CDOBJMES){
		$params = array(
			':CDFILIAL'		=>	$CDFILIAL,
			':NRORG'		=>	$NRORG,
			':CDOBJANO'		=>	$CDOBJANO,
			':NRDIASEMANA'	=>	$NRDIASEMANA,
			':CDOBJMES'		=>	$CDOBJMES
		);
		
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_OBJETIVO_VENDA_DIA, $params);
	}
	
	public function getObjetivoVendaMes($CDFILIAL,$NRORG,$CDOBJANO,$CDOBJMES){
		$params = array(
			':CDFILIAL'		=>	$CDFILIAL,
			':NRORG'		=>	$NRORG,
			':CDOBJANO'		=>	$CDOBJANO,
			':CDOBJMES'		=>	$CDOBJMES
		);
		
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_OBJETIVO_VENDA_MES, $params);
	}
	
	public function getVendasDiarias($CDFILIAL,$DTENTRVENDA,$NRORG){
		$params = array(
			':CDFILIAL'		=>	$CDFILIAL,
			':DTENTRVENDA'	=>	$DTENTRVENDA,
			':NRORG'		=>	$NRORG
		);
		
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_VENDAS_DIARIAS, $params);
	}
	
	public function getProdutosMaisVendidos($CDFILIAL,$DTENTRVENDA,$NRORG){
		$params = array(
			':CDFILIAL'		=>	$CDFILIAL,
			':DTENTRVENDA'	=>	$DTENTRVENDA,
			':NRORG'		=>	$NRORG
		);
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PRODUTOS_MAIS_VENDIDOS, $params);
	}
} 